Subject: Re: perl/cygwin and system calls
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 5 Mar 2001 15:36:46 -0500

On Mon, Mar 05, 2001 at 03:28:31PM -0500, Robinow, David wrote:
>> From: Perakis, John [mailto:[email-masked]]
>> Subject: perl/cygwin and system calls
>> ... I'm trying to use a system call to kick off my
>> make  ie system("//c/cygwin/bin/make all").  This piece is failing, I
>> believe,  because the system call is going out and using an NT
>> environment not a Cygwin env.  Does anyone know how I can get this to
>> what I want.

The description of "failing" does not really provide enough information
to debug the problem.

I assume, however, that if you avoid using a Cygwin path in the system
command, things will work better:

system("c:/cygwin/bin/make all")

It sounds like you're using a non-cygwin version of perl.

cgf

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple